Skip to content

Create Webhook Configuration

Request

Creates a webhook configuration for the organization to receive event notifications via HTTP callbacks.

Security
ApiKey
Body
callback_urlstring
activeboolean
curl -i -X POST \
  https://developer.getparallax.com/_mock/api-documentation/swagger/v1/webhook-subscribers \
  -H 'Content-Type: application/json-patch+json' \
  -H 'X-API-KEY: YOUR_API_KEY_HERE' \
  -d '{
    "callback_url": "string",
    "active": true
  }'

Responses

Created

Bodyapplication/json
idstring, (uuid)

The unique identifier of the webhook configuration in Parallax.

callback_urlstring

The HTTPS URL endpoint where webhook event notifications will be sent. Must be a valid HTTPS URL.

secretstring

The secret key used to sign webhook payloads for verification. This will be generated when the Webhook Subscriber is created and returned in the response body.

activeboolean

Indicates whether the webhook is active and will receive event notifications.

created_datestring, (date-time)

The date and time when the webhook configuration was initially created in Parallax.

modified_datestring, (date-time)

The date and time when the webhook configuration was last modified in Parallax.

Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "callback_url": "string", "secret": "string", "active": true, "created_date": "2019-08-24T14:15:22Z", "modified_date": "2019-08-24T14:15:22Z" }